Skip to Content
REST APIContents

Contents

Last updated: May 29, 2026


GET /repos/{repo}/contents

Get a workbook or the content of a folder.

Sample Request (entire project)

Returns the content of the my-repo repository and writes it to repo.zip.

curl \ --output repo.zip \ --header "X-API-KEY: your_api_key" \ --request GET \ "https://xltrail.yourcompany.com/api/repos/my-repo/contents"

Sample Request (folder)

Returns the /path/to/folder folder content of the my-repo repository and writes it to folder.zip.

curl \ --output folder.zip \ --header "X-API-KEY: your_api_key" \ --request GET \ "https://xltrail.yourcompany.com/api/repos/my-repo/contents/path/to/folder"

Sample Request (folder on branch dev)

Returns the /path/to/folder folder content of the dev branch of the my-repo repository and writes it to folder.zip.

curl \ --output folder.zip \ --header "X-API-KEY: your_api_key" \ --request GET \ "https://xltrail.yourcompany.com/api/repos/my-repo/contents/path/to/folder?branch=dev"

Sample Request (workbook)

Returns the /path/to/folder/workbook1.xlsx workbook and writes it to workbook1.xlsx.

curl \ --output workbook1.xlsx \ --header "X-API-KEY: your_api_key" \ --request GET \ "https://xltrail.yourcompany.com/api/repos/my-repo/contents/path/to/folder/workbook1.xlsx"
Last updated on